/*
 *  TrayIcon.cs
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;
using System.Reflection;
using System.Runtime.InteropServices;
using Mono.Unix;
using System.Drawing;
using System.Windows.Forms;


namespace gnutu {
	public class GTrayIcon {
		public  bool IsTrayIcon = false;
		private Gtk.Window window;
		private System.EventHandler OnExitClicked;
		private NotifyIcon tr;
		private System.Windows.Forms.ContextMenu TrayMenu;
		private MenuItem ExitBtn;
		
		
		public GTrayIcon (string title, Gtk.Window wdw, System.EventHandler OnExitClicked) {
			try {
				this.window = wdw;
				this.OnExitClicked = OnExitClicked;
				
				
				ExitBtn = new MenuItem ();
				ExitBtn.Index = 0;
				ExitBtn.Text = Catalog.GetString ("Exit");
				ExitBtn.Click += new System.EventHandler (on_ExitBtn_clicked);
				
				TrayMenu = new ContextMenu ();
				TrayMenu.MenuItems.AddRange (new MenuItem [] {ExitBtn});
				
				tr = new NotifyIcon ();
				tr.Icon = new Icon (System.IO.Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "gnutu.ico"));
				tr.Text = title;
				tr.Visible = true;
				tr.ContextMenu = TrayMenu;
				tr.MouseUp += new MouseEventHandler (on_TrayIcon_clicked);
				
				IsTrayIcon = true;
				
				
				if ((Settings.Get ("ShowOnlyTrayIcon") != "") && (Settings.GetBool ("ShowOnlyTrayIcon") == true))
					this.window.Hide ();
			} catch {
				Console.WriteLine (Catalog.GetString ("ERROR: Tray icon couldn't load.."));
				IsTrayIcon = false;
			}
		}
		
		
		public void on_ExitBtn_clicked (object o, EventArgs args)
		{
			OnExitClicked (null, null);
		}
		
		
		public void on_TrayIcon_clicked (object o, MouseEventArgs args)
		{
			if (args.Button == MouseButtons.Left) {
				if (this.window.Visible == true)
					this.window.Visible = false;
				else
					this.window.Visible = true;
			}
		}
		
		
		public void Hide ()
		{
			tr.Visible = false;
		}
	}
}
