/*
 *  WinPosix.cs
 *  A simple implementation of Mono.Unix.Catalog class
 *
 *  Copyright (C) 2005 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;
using System.Runtime.InteropServices;


namespace Mono.Unix {
	public class Catalog {
		[DllImport ("intl")]
		extern static IntPtr bindtextdomain (IntPtr domainname, IntPtr dirname);
		
		[DllImport ("intl")]
		extern static IntPtr bind_textdomain_codeset (IntPtr domainname, IntPtr codeset);
		
		[DllImport ("intl")]
		extern static IntPtr textdomain (IntPtr domainname);
		
		[DllImport ("intl")]
		extern static IntPtr gettext (IntPtr msgid);
		
				
		public static void Init (string package, string localedir)
		{
			try {
				bindtextdomain (GLib.Marshaller.StringToPtrGStrdup (package), GLib.Marshaller.StringToPtrGStrdup (localedir));
				bind_textdomain_codeset (GLib.Marshaller.StringToPtrGStrdup (package), GLib.Marshaller.StringToPtrGStrdup ("UTF-8"));
				textdomain (GLib.Marshaller.StringToPtrGStrdup (package));
			} catch {
			}
		}
		
		
		public static string GetString (string str)
		{
			try {
				return GLib.Marshaller.Utf8PtrToString (gettext (GLib.Marshaller.StringToPtrGStrdup (str)));
			} catch {
				return str;
			}
		}
	}
}
