/*
 *  CheckUpdates.cs
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 */


using System;
using System.Collections;
using System.IO;
using System.Xml;
using System.Net;
using Gtk;
using gnutu.Widgets;
using Mono.Unix;


namespace gnutu {

	/*
	 *  CheckUpdates class
	 */
	
	public class CheckUpdates {
		public static Gtk.VBox MsgVBox;
		
		
		public static void Check ()
		{
			try {
				WebRequest   request  = WebRequest.Create ("http://info.gnutu.org/version");
				request.Timeout = 8000;
				WebResponse  response = request.GetResponse ();
				UpdateInfo (new StreamReader (response.GetResponseStream ()));
			} catch {
			}
		}


		static void UpdateInfo (StreamReader reader)
		{
			XmlTextReader read = new XmlTextReader (reader);
			string version = "";
			
			try {
				while (read.Read ())
					if ((read.NodeType == XmlNodeType.Element) || (read.NodeType == XmlNodeType.EndElement))
						if ((read.Name == "version") && (read.NodeType == XmlNodeType.Element))
							version = read.ReadString ();

				reader.Close ();
			} catch {
				reader.Close ();
				return;
			}

			
			if ((Settings.Get ("CurrentVersionInfo") != version) && (version != gnutu.Defines.Version)) {
				Alert msg = new Alert (AlertType.Info, "[GNUTU " + version + "]  " + Catalog.GetString ("New version has been released."));
				MsgVBox.Add (msg);
				msg.Show ();
				Settings.Set ("CurrentVersionInfo", version);
			}
		}
	}
}
