/*
 *  FilesPaths.cs
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;


public class FilesPaths {
	public static bool IsWinSystem ()
	{
		if ((Environment.OSVersion.Platform == PlatformID.Win32NT) ||
			    	(Environment.OSVersion.Platform == PlatformID.Win32S) ||
				    (Environment.OSVersion.Platform == PlatformID.Win32Windows) ||
				    (Environment.OSVersion.Platform == PlatformID.WinCE))
		    return true;
		else
			return false;
	}
	
	
	public static string HomeDirectory ()
	{
		if (IsWinSystem ())
			return Environment.GetEnvironmentVariable ("USERPROFILE");
		else
			return Environment.GetEnvironmentVariable ("HOME");
	}
	
	
	public static string GnutuDirectory ()
	{
		if (IsWinSystem ())
			return "gnutu";
		else
			return ".gnutu";
	}
	
	
	public static char Separator ()
	{
		if (IsWinSystem ())
			return '\\';
		else
			return '/';
	}
	
	
	public static void CheckHomeDir ()
	{
		if (!System.IO.Directory.Exists (HomeDirectory () + Separator () + GnutuDirectory ()))
			System.IO.Directory.CreateDirectory (HomeDirectory () + Separator () + GnutuDirectory ());
	}
	
	
	public static string DbFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "data.v3.gtu";
	}
	
	
	public static string LessonsScheduleFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "LessonsSchedule.v3.gtu";
	}

	
	public static string DaysOffSchoolFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "daysoffschool.v3.gtu";
	}
	

	public static string SettingsFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "settings.v3.gtu";
	}
	
	
	public static string OldDbFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "data.v2.gtu";
	}
	
	
	public static string OldLessonsScheduleFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "plan.v2.gtu";
	}
	
	
	public static string OldDaysOffSchoolFile ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "free_days.v2.gtu";
	}
	
	
	public static string OldDiaryDirectory ()
	{
		return HomeDirectory () + Separator () + GnutuDirectory () + Separator () + "diary" + Separator ();
	}
}
