/*
 *  GNUTU
 *  version 2.5
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 *  http://www.gnutu.org
 *
 *  License: GNU/GPL, version 2
 */


using Gtk;
using GLib;
using System.IO;
using gnutu.GUI;


public class App {
	public static void Main (string[] args)
	{
		FilesPaths.CheckHomeDir ();
		
		Application.Init ();
		
		
		// Loading translate
		if (FilesPaths.IsWinSystem () == true)
			Mono.Unix.Catalog.Init ("gnutu", Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "locale"));
		else
			Mono.Unix.Catalog.Init ("gnutu", gnutu.Defines.LocaleDir);

		
		// Loading gtk+ theme (if win system)
		if (FilesPaths.IsWinSystem () == true) {
			try {
				Gtk.Rc.Parse (Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "theme\\gtk-2.0\\gtkrc"));
			} catch {
				System.Console.WriteLine ("GTK+ theme couldn't load.");
			}
		}
		
		
		// Check First start
		if (System.IO.File.Exists (FilesPaths.DbFile ()) == false) {
			FirstStartWindow fs = new FirstStartWindow ();
			fs.Window.Show ();
		} else
			new MainWindow ();
		
		Application.Run ();
	}
}
