/*
 *  ButtonsSwitcher.cs
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */


using System;
using System.Collections;
using Gtk;
using GLib;


namespace gnutu.Widgets {
    public class ButtonsSwitcher : Gtk.VBox {
		private ArrayList    buttons;
		private GLib.SList   group;
		private Gtk.Notebook Notebook;
		private bool         Flat;
		
		
		public ButtonsSwitcher (Gtk.Notebook notebook, bool flat)
		{
		    buttons = new System.Collections.ArrayList ();
		    group   = new GLib.SList (null);
		    this.Flat = flat;
		    
		    this.Spacing  = 4;
		    this.Notebook = notebook;
		}
		
		
		public void Add (string label, Gtk.Image image)
		{
		    Gtk.Label lbl = new Gtk.Label ();
		    lbl.SetAlignment ((float) 0, (float) 0.5);
		    lbl.UseMarkup = true;
		    lbl.Markup    = label;
		    
		    
		    Gtk.HBox hbox = new HBox ();
		    hbox.PackStart (image, false, true, 0);
		    hbox.PackEnd   (lbl, true, true, 6);
		    
		    
		    Gtk.RadioButton button = new Gtk.RadioButton (null, null);
		    button.Mode = false;
		    button.Group = this.group;
		    group = button.Group;
			
			
		    if (this.Flat == true)
			button.Relief = Gtk.ReliefStyle.None;
		      
		    button.Add (hbox);
		    button.ShowAll ();
		    button.Clicked += new EventHandler (clicked);
		        
		    this.Add (button);
		    button.ShowAll ();
		    
		    buttons.Add (button);
		}
		
		
		public void AddSeparator ()
		{
		    Gtk.HSeparator separator = new Gtk.HSeparator ();
		    separator.Show ();
		    this.Add (separator);
		}
		
		
		private void clicked (object obj, EventArgs args)
		{
		    Gtk.RadioButton btn = (Gtk.RadioButton) obj;
		    
		    if (btn.Active == false) return;
		        
		    int i = 0;
		    foreach (Gtk.RadioButton button in buttons) {
			if ((button != btn) && (button.Active == true))
			    button.Active = false;
			else if (button == btn)
			    Notebook.Page = i;
			
			i++;
		    }
		}
		
		
		public void GoToPage (int number)
		{
		    Gtk.RadioButton btn = (Gtk.RadioButton) buttons [number];
		    
		    if (btn.Active == false)
		        btn.Active = true;
		}
    }
}
